using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 培训试题
    /// </summary>
    [Description("培训试题")]
    public class T_WB_OUTSOURCE_TRAIN_RECORD_SOURCE_ON : MesEntityBase
    {
        /// <summary>
        /// 培训记录
        /// </summary>
        [Description("培训记录")]
        [DataFieldForeignKey("Nav_Parent", "Nav_ListSourceOn")]
        public Guid? PARENT_ID { get; set; }
        /// <summary>
        /// 导航: 培训通知
        /// </summary>
        [Description("导航: 培训通知")]
        public T_WB_OUTSOURCE_TRAIN_RECORD Nav_Parent { get; set; }
        /// <summary>
        /// 试题
        /// </summary>
        [Description("试题")]
        [DataFieldForeignKey("Nav_Outsource")]
        public Guid OUTSOURCE_ID { get; set; }

        /// <summary>
        /// 试题
        /// </summary>
        [Description("试题")]
        public T_WB_OUTSOURCE Nav_Outsource { get; set; }
    }
}
